#ifndef __CGdiPlus_inc__
#define __CGdiPlus_inc__

#use "CGdiPlus.o"


/*
sub CGdiPlus
*/
class CGdiPlus
{
	// 1. load image: any methods of ...
	declare LoadFromFile(wstring path),BOOL;
	declare LoadFromHBitmap(int hBitmap),BOOL;
	declare LoadFromHDC(int dc,int l,int t,int w,int h),BOOL;

	// 2. save
	declare Save(wstring path, opt int quality=75),BOOL;

	// private
	declare CGdiPlus();
	declare _CGdiPlus();
	declare DestroyImage();
	// creates unicode path in form 0xFF 0xFE wstring null
	// and returns pointer to wstring (in heap)
	// for details see any unicode text file in hex editor :)
	declare CreatePath(wstring path),wstring *;

	int m_hgdiplus;  // dll handle (also image base)
	int m_gdipToken; // gdiplus private token
	pointer m_image; // gdiplus image/class pointer
	GUID *m_encoder; // encoder GUID for save - default ImageEncoderJpeg
}

#endif

